cURL
curl --request GET \
--url https://api.pricenow.dev/api/orders/{orderId}/notices \
--header 'accept-language: <accept-language>' \
--header 'pratiq-channel-uuid: <pratiq-channel-uuid>'import requests
url = "https://api.pricenow.dev/api/orders/{orderId}/notices"
headers = {
"accept-language": "<accept-language>",
"pratiq-channel-uuid": "<pratiq-channel-uuid>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'accept-language': '<accept-language>',
'pratiq-channel-uuid': '<pratiq-channel-uuid>'
}
};
fetch('https://api.pricenow.dev/api/orders/{orderId}/notices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"notices": [
{
"id": "<string>"
}
],
"isComplete": true
}
}orders
Get apiorders notices
Get customer notices for an order. This endpoint is meant to be polled by the client for ~1min while isComplete is false. The pratiq-channel-uuid header is required by shared customer authentication but is not used to filter order access. Access is scoped to the authenticated account and orders from WEB or CONSUMPTION sales channels.
GET
/
api
/
orders
/
{orderId}
/
notices
cURL
Headers
Language of the response
Available options:
en, de, fr, it Required by shared customer authentication. Ignored for customer order access filtering; access is scoped to the authenticated account and orders from WEB or CONSUMPTION sales channels.
Path Parameters
Response
200 - application/json
Successful response
Show child attributes
Show child attributes
⌘I

